> ## Documentation Index
> Fetch the complete documentation index at: https://help.kajabi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List website pages

> Returns a list of website pages which the current user may access
## Pagination
Use `page[number]` and `page[size]` parameters to paginate results:
### Get first page of 10 items
* `GET /v1/website_pages[number]=1&page[size]=10`
### Get second page of 25 items
* `GET /v1/website_pages[number]=2&page[size]=25`

## Sorting
Use the `sort` parameter to sort the results:
### Sort by created_at in ascending order
* `GET /v1/website_pages?sort=created_at&fields[website_pages]=created_at`

## Filters
Use the `filter[site_id]` parameter to get website pages for a specific site:
### Get website pages for site with ID 123
* `GET /v1/website_pages?filter[site_id]=123`




## OpenAPI

````yaml /openapi.yaml get /v1/website_pages
openapi: 3.1.1
info:
  title: Kajabi API V1
  version: 1.0.1
  description: >
    ## Public API

    * Server URL `https://api.kajabi.com`

    * Endpoint paths are prefixed with `/v1`

    * Version endpoint `GET https://api.kajabi.com/v1/version`

    * See the [Developers Site](https://developers.kajabi.com) for documentation
    and examples.

    * Try the demo [Postman
    collection](https://www.postman.com/kajabi-apis/beta-public-api-demo/collection/fg4iyaz/kajabi-public-api-v1)

    ## API Keys

    * Your API `client_id` and `client_secret` are available on the [User API
    Keys](https://app.kajabi.com/admin/settings/security) section of the Kajabi
    Admin Portal.
      * Custom API Keys can be created with specific permissions.
      * Click the "Create User API Key" button, enter a name (e.g. "My project"), select the user and permissions, and click "Create".
      * For security purposes, you may "Delete" or "Rotate" the api credentials at any time; which will invalidate any access tokens granted with the credentials.
    ## Video Walkthroughs

    *
    [Capabilities](https://drive.google.com/file/d/1Puc9B2sSdA-RQb7YMxmUXg4FVoEXytoc/view?usp=sharing)

    * [Getting
    Started](https://drive.google.com/file/d/1hbGRShkxven_QMWvgYrerHKURbcZrnvJ/view?usp=sharing)

    * [Error
    Examples](https://drive.google.com/file/d/1i0wQK71I1jpaZVsxYwsn62gVj40S_E7Y/view?usp=sharing)

    * [External Contact
    Form](https://drive.google.com/file/d/1HqpULXvan5TOK3LvM7nILCuCkCaX0kFT/view?usp=sharing)
  contact:
    email: support@kajabi.com
    name: Support
    url: >-
      https://help.kajabi.com/hc/en-us/articles/4404549690523-How-to-Get-Help-From-Kajabi-Live-Agents
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.kajabi.com
    description: Production
security: []
paths:
  /v1/website_pages:
    get:
      tags:
        - Sites
      summary: List website pages
      description: >
        Returns a list of website pages which the current user may access

        ## Pagination

        Use `page[number]` and `page[size]` parameters to paginate results:

        ### Get first page of 10 items

        * `GET /v1/website_pages[number]=1&page[size]=10`

        ### Get second page of 25 items

        * `GET /v1/website_pages[number]=2&page[size]=25`


        ## Sorting

        Use the `sort` parameter to sort the results:

        ### Sort by created_at in ascending order

        * `GET
        /v1/website_pages?sort=created_at&fields[website_pages]=created_at`


        ## Filters

        Use the `filter[site_id]` parameter to get website pages for a specific
        site:

        ### Get website pages for site with ID 123

        * `GET /v1/website_pages?filter[site_id]=123`
      parameters:
        - name: sort
          in: query
          required: false
          description: >-
            Sort order, use: created_at for descending order use '-' e.g.
            &sort=-created_at
          schema:
            type: string
        - name: page[number]
          in: query
          required: false
          schema:
            type: integer
        - name: page[size]
          in: query
          required: false
          description: Number of documents
          schema:
            type: integer
        - name: fields[website_pages]
          in: query
          required: false
          description: Partial attributes as specified, e.g. fields[website_pages]=title
          schema:
            type: string
      responses:
        '200':
          description: Success, list of website pages which the current user may access
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/website_pages_index_response'
        '401':
          description: Unauthorized, Authorization header is missing or invalid
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/errors_unauthorized'
        '403':
          description: Forbidden, insufficient permission to access the resource
          content:
            application/vnd.api+json:
              schema:
                $ref: '#/components/schemas/errors_forbidden'
      security:
        - Bearer: []
components:
  schemas:
    website_pages_index_response:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              type:
                type: string
                enum:
                  - website_pages
              attributes:
                $ref: '#/components/schemas/website_pages_attributes'
              relationships:
                type: object
                properties:
                  site:
                    type: object
                    properties:
                      data:
                        $ref: '#/components/schemas/resource_identifier'
        links:
          type: object
          properties:
            self:
              type: string
            current:
              type: string
    errors_unauthorized:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/errors_attributes'
    errors_forbidden:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/errors_attributes'
    website_pages_attributes:
      type: object
      properties:
        title:
          type: string
        url:
          type:
            - string
            - 'null'
        created_at:
          type: string
          format: date-time
          readOnly: true
          description: ISO 8601 date-time, read only
        updated_at:
          type: string
          format: date-time
          readOnly: true
          description: ISO 8601 date-time, read only
    resource_identifier:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
      required:
        - id
        - type
    errors_attributes:
      type: object
      properties:
        status:
          type: string
        source:
          type: object
          nullable: true
          properties:
            pointer:
              type: string
        title:
          type: string
        detail:
          type: string
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````